<template>
<router-link :to="{ name: 'detailFeed', params: { 'fishfeeds': codeRouter, 'feeditem': content.code }}">
  <div class="feed-content">
    <div class="block">
      <div class="feed-img">
        <img :src="content.previewImage" alt="" class="feed-img-bg"/>
        <!-- <img v-if="content.types" :src="content.types[0].img" alt=""  class="feed-img-logo"> -->
      </div>
    <h3>{{ content.name }}</h3>
    <div class="feed-anons" v-html="content.previewText"></div>
    </div>
    <div class="feed-more">{{ btn.link_text_detail_page }} <arrow-more />
      <img v-if="content.types" :src="content.types[0].img" alt=""  class="feed-img-logo">
    </div>
  </div>
  </router-link>
</template>

<script>
import arrowMore from './icons/arrow-more.vue';

export default {
  components: { arrowMore },
    props:{
        btn: { type: Object},
        content: {type: Object},
        codeRouter: {type: String}
    },
    mounted(){

    }
    
};

</script>

<style>
</style>